package com.artfess.cqlt.manager;

import com.artfess.cqlt.model.QfEuroRatesD;
import com.artfess.cqlt.model.QfEuroRatesM;
import com.artfess.base.manager.BaseManager;
import com.artfess.poi.util.HeaderNode;

import java.util.List;

/**
 * 资金-欧元同业拆借利率主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-07-17
 */
public interface QfEuroRatesMManager extends BaseManager<QfEuroRatesM> {

    boolean insertInfo(QfEuroRatesM t);

    boolean updateInfo(QfEuroRatesM t);

    boolean updateStatus(QfEuroRatesM t);

    boolean importExcel(List<HeaderNode> list, String mainId);
}
